# Class BasicInternalFrameUI.BorderListener

java.lang.Object
java.awt.event.MouseAdapter
javax.swing.event.MouseInputAdapter
javax.swing.plaf.basic.BasicInternalFrameUI.BorderListener

All Implemented Interfaces:
  `MouseListener, MouseMotionListener, MouseWheelListener, EventListener, MouseInputListener, SwingConstants`

Enclosing class:
  `BasicInternalFrameUI`

protected class BasicInternalFrameUI.BorderListener extends MouseInputAdapter implements SwingConstants
Listens for border adjustments.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`RESIZE_NONE`
resize none

### Fields declared in interface SwingConstants

`BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`
Modifier and Type
Field
Description
`static final int`
`BOTTOM`
Box-orientation constant used to specify the bottom of a box.
`static final int`
`CENTER`
The central position in an area.
`static final int`
`EAST`
Compass-direction east (right).
`static final int`
`HORIZONTAL`
Horizontal orientation.
`static final int`
`LEADING`
Identifies the leading edge of text for use with left-to-right and right-to-left languages.
`static final int`
`LEFT`
Box-orientation constant used to specify the left side of a box.
`static final int`
`NEXT`
Identifies the next direction in a sequence.
`static final int`
`NORTH`
Compass-direction North (up).
`static final int`
`NORTH_EAST`
Compass-direction north-east (upper right).
`static final int`
`NORTH_WEST`
Compass-direction north west (upper left).
`static final int`
`PREVIOUS`
Identifies the previous direction in a sequence.
`static final int`
`RIGHT`
Box-orientation constant used to specify the right side of a box.
`static final int`
`SOUTH`
Compass-direction south (down).
`static final int`
`SOUTH_EAST`
Compass-direction south-east (lower right).
`static final int`
`SOUTH_WEST`
Compass-direction south-west (lower left).
`static final int`
`TOP`
Box-orientation constant used to specify the top of a box.
`static final int`
`TRAILING`
Identifies the trailing edge of text for use with left-to-right and right-to-left languages.
`static final int`
`VERTICAL`
Vertical orientation.
`static final int`
`WEST`
Compass-direction west (left).

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`BorderListener()`
Constructs a `BorderListener`.

## Method Summary

Modifier and Type
Method
Description
`void`
`mouseClicked(MouseEvent e)`
Invoked when the mouse button has been clicked (pressed and released) on a component.
`void`
`mouseEntered(MouseEvent e)`
Invoked when the mouse enters a component.
`void`
`mouseExited(MouseEvent e)`
Invoked when the mouse exits a component.
`void`
`mousePressed(MouseEvent e)`
Invoked when a mouse button has been pressed on a component.
`void`
`mouseReleased(MouseEvent e)`
Invoked when a mouse button has been released on a component.

### Methods declared in class MouseAdapter

`mouseDragged, mouseMoved, mouseWheelMoved`
Modifier and Type
Method
Description
`void`
`mouseDragged(MouseEvent e)`
Invoked when a mouse button is pressed on a component and then dragged.
`void`
`mouseMoved(MouseEvent e)`
Invoked when the mouse cursor has been moved onto a component but no buttons have been pushed.
`void`
`mouseWheelMoved(MouseWheelEvent e)`
Invoked when the mouse wheel is rotated.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Field Details

### RESIZE_NONE

protected final int RESIZE_NONE
resize none

See Also:
  - Constant Field Values

## Constructor Details

### BorderListener

protected BorderListener()
Constructs a `BorderListener`.

## Method Details

### mouseClicked

public void mouseClicked(MouseEvent e)
Invoked when the mouse button has been clicked (pressed and released) on a component.

Specified by:
  `mouseClicked` in interface `MouseListener`
Parameters:
  `e` - the event to be processed

### mouseReleased

public void mouseReleased(MouseEvent e)
Invoked when a mouse button has been released on a component.

Specified by:
  `mouseReleased` in interface `MouseListener`
Parameters:
  `e` - the event to be processed

### mousePressed

public void mousePressed(MouseEvent e)
Invoked when a mouse button has been pressed on a component.

Specified by:
  `mousePressed` in interface `MouseListener`
Parameters:
  `e` - the event to be processed

### mouseEntered

public void mouseEntered(MouseEvent e)
Invoked when the mouse enters a component.

Specified by:
  `mouseEntered` in interface `MouseListener`
Parameters:
  `e` - the event to be processed

### mouseExited

public void mouseExited(MouseEvent e)
Invoked when the mouse exits a component.

Specified by:
  `mouseExited` in interface `MouseListener`
Parameters:
  `e` - the event to be processed